Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class ModifyAdmissionType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.ModifyAdmissionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ModifyAdmissionType extends Object implements Serializable
Wijziging van een bestaande opname van een bewoner

Java class for ModifyAdmissionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ModifyAdmissionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdmissionVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <element name="AdmissionStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="AdmissionEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="EndReason" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}EndReasonType" minOccurs="0"/>
             <element name="ContractEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="BedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ModifyBedPeriodListType" minOccurs="0"/>
             <element name="TemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}ModifyTemporaryAbsenceListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModifyAdmissionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAdmissionEndTime()`
  Eind datum en tijd van de opname
  `Instant`
  `getAdmissionStartTime()`
  Begin datum en tijd van de opname
  `String`
  `getAdmissionVSBReference()`
  Unieke identificatie van de opname
  `ModifyBedPeriodListType`
  `getBedPeriodList()`
  Lijst van periodes waar de bewoner in een bepaald type woongelegenheid verbleef
  `Instant`
  `getContractEndTime()`
  Tijdstip einde verblijfsovereenkomst (finale einde van het verblijf).
  `EndReasonType`
  `getEndReason()`
  Reden einde opname/huisvesting
  `ModifyTemporaryAbsenceListType`
  `getTemporaryAbsenceList()`
  Lijst van tijdelijke afwezigheidsperiodes van een bewoner
  `boolean`
  `isIsAccident()`
  Ja/neen veld om aan te geven of de bewoner is opnomen naar aanleiding van een ongeval.
  `void`
  `setAdmissionEndTime(Instant value)`
  Sets the value of the admissionEndTime property.
  `void`
  `setAdmissionStartTime(Instant value)`
  Sets the value of the admissionStartTime property.
  `void`
  `setAdmissionVSBReference(String value)`
  Sets the value of the admissionVSBReference property.
  `void`
  `setBedPeriodList(ModifyBedPeriodListType value)`
  Sets the value of the bedPeriodList property.
  `void`
  `setContractEndTime(Instant value)`
  Sets the value of the contractEndTime property.
  `void`
  `setEndReason(EndReasonType value)`
  Sets the value of the endReason property.
  `void`
  `setIsAccident(boolean value)`
  Sets the value of the isAccident property.
  `void`
  `setTemporaryAbsenceList(ModifyTemporaryAbsenceListType value)`
  Sets the value of the temporaryAbsenceList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModifyAdmissionType

    public ModifyAdmissionType()

- ## Method Details

  - ### getAdmissionVSBReference

    public String getAdmissionVSBReference()
    Unieke identificatie van de opname
    Returns:
      possible object is `String`

  - ### setAdmissionVSBReference

    public void setAdmissionVSBReference(String value)
    Sets the value of the admissionVSBReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionVSBReference()`

  - ### getAdmissionStartTime

    public Instant getAdmissionStartTime()
    Begin datum en tijd van de opname
    Returns:
      possible object is `String`

  - ### setAdmissionStartTime

    public void setAdmissionStartTime(Instant value)
    Sets the value of the admissionStartTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionStartTime()`

  - ### getAdmissionEndTime

    public Instant getAdmissionEndTime()
    Eind datum en tijd van de opname
    Returns:
      possible object is `String`

  - ### setAdmissionEndTime

    public void setAdmissionEndTime(Instant value)
    Sets the value of the admissionEndTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionEndTime()`

  - ### isIsAccident

    public boolean isIsAccident()
    Ja/neen veld om aan te geven of de bewoner is opnomen naar aanleiding van een ongeval.

  - ### setIsAccident

    public void setIsAccident(boolean value)
    Sets the value of the isAccident property.

  - ### getEndReason

    public EndReasonType getEndReason()
    Reden einde opname/huisvesting
    Returns:
      possible object is `EndReasonType`

  - ### setEndReason

    public void setEndReason(EndReasonType value)
    Sets the value of the endReason property.
    Parameters:
      `value` - allowed object is `EndReasonType`
    See Also:
      - `getEndReason()`

  - ### getContractEndTime

    public Instant getContractEndTime()
    Tijdstip einde verblijfsovereenkomst (finale einde van het verblijf).
    Returns:
      possible object is `String`

  - ### setContractEndTime

    public void setContractEndTime(Instant value)
    Sets the value of the contractEndTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getContractEndTime()`

  - ### getBedPeriodList

    public ModifyBedPeriodListType getBedPeriodList()
    Lijst van periodes waar de bewoner in een bepaald type woongelegenheid verbleef
    Returns:
      possible object is `ModifyBedPeriodListType`

  - ### setBedPeriodList

    public void setBedPeriodList(ModifyBedPeriodListType value)
    Sets the value of the bedPeriodList property.
    Parameters:
      `value` - allowed object is `ModifyBedPeriodListType`
    See Also:
      - `getBedPeriodList()`

  - ### getTemporaryAbsenceList

    public ModifyTemporaryAbsenceListType getTemporaryAbsenceList()
    Lijst van tijdelijke afwezigheidsperiodes van een bewoner
    Returns:
      possible object is `ModifyTemporaryAbsenceListType`

  - ### setTemporaryAbsenceList

    public void setTemporaryAbsenceList(ModifyTemporaryAbsenceListType value)
    Sets the value of the temporaryAbsenceList property.
    Parameters:
      `value` - allowed object is `ModifyTemporaryAbsenceListType`
    See Also:
      - `getTemporaryAbsenceList()`